=== debian/control ===
Source: ros-one-ml-classifiers
Section: misc
Priority: optional
Maintainer: Scott Niekum <sniekum@cs.umass.edu>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-catkin, ros-one-message-generation, ros-one-pluginlib, ros-one-roscpp, ros-one-roslib, ros-one-std-msgs
Homepage: http://ros.org/wiki/ml_classifiers
Standards-Version: 3.9.2

Package: ros-one-ml-classifiers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-one-message-runtime, ros-one-pluginlib, ros-one-roscpp, ros-one-roslib, ros-one-std-msgs
Description: ml_classifiers
